xgboost

Public Member Functions | List of all members
xgboost::common::SparseCuts Class Reference

Cut configuration for sparse dataset. More...

`#include <hist_util.h>`

Inheritance diagram for xgboost::common::SparseCuts:
Collaboration diagram for xgboost::common::SparseCuts:

## Public Member Functions
| SparseCuts (HistogramCuts *container)
void | Concat (std::vector< std::unique_ptr< SparseCuts >> const &cuts, uint32_t n_cols)
void | SingleThreadBuild (SparsePage const &page, MetaInfo const &info, uint32_t max_num_bins, bool const use_group_ind, uint32_t beg, uint32_t end, uint32_t thread_id)
void | Build (DMatrix *dmat, uint32_t const max_num_bins) override
Public Member Functions inherited from xgboost::common::CutsBuilder
| CutsBuilder (HistogramCuts *p_cuts)
virtual | ~CutsBuilder ()=default
void | AddCutPoint (WQSketch::SummaryContainer const &summary, int max_bin)

## Additional Inherited Members
Public Types inherited from xgboost::common::CutsBuilder
using | WQSketch = common::WQuantileSketch< bst_float, bst_float >
Static Public Member Functions inherited from xgboost::common::CutsBuilder
static bool | UseGroup (DMatrix *dmat)
static bool | UseGroup (MetaInfo const &info)
static uint32_t | SearchGroupIndFromRow (std::vector< bst_uint > const &group_ptr, size_t const base_rowid)
Protected Attributes inherited from xgboost::common::CutsBuilder
HistogramCuts * | p_cuts_

## Detailed Description

Cut configuration for sparse dataset.

## Constructor & Destructor Documentation

## ◆ SparseCuts()

xgboost::common::SparseCuts::SparseCuts | ( | HistogramCuts * | container | ) |
| inline explicit

## Member Function Documentation

## ◆ Build()

void xgboost::common::SparseCuts::Build | ( | DMatrix * | dmat,
|  | uint32_t const | max_num_bins
| ) |  |
| override virtual

Implements xgboost::common::CutsBuilder.

## ◆ Concat()

void xgboost::common::SparseCuts::Concat | ( | std::vector< std::unique_ptr< SparseCuts >> const & | cuts,
|  | uint32_t | n_cols
| ) |  |

## ◆ SingleThreadBuild()

void xgboost::common::SparseCuts::SingleThreadBuild | ( | SparsePage const & | page,
|  | MetaInfo const & | info,
|  | uint32_t | max_num_bins,
|  | bool const | use_group_ind,
|  | uint32_t | beg,
|  | uint32_t | end,
|  | uint32_t | thread_id
| ) |  |

The documentation for this class was generated from the following file:

- /workspace/src/common/hist_util.h